petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESGetDM

Gets the DM that may be used by some preconditioners

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetDM(SNES snes,DM *dm)

Not Collective but DM obtained is parallel on SNES

### Input Parameter

snes -the preconditioner context

### Output Parameter

dm -the dm

### See Also

SNESSetDM(), KSPSetDM(), KSPGetDM()

### Level

intermediate

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex9.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex35.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages